import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
export type ScrollProps = PresentationalProps & {
    /** Render with scroll-hinting shadows ('raised') or without ('flat') */
    variant?: 'raised' | 'flat';
} & JSX.HTMLAttributes<HTMLElement>;
/**
 * Render a fluid container that scrolls on overflow.
 */
export default function Scroll({ children, classes, elementRef, variant, ...htmlAttributes }: ScrollProps): JSX.Element;
