import type { CompositeProps } from '../../types';
export type ScrollBoxProps = CompositeProps & {
    /** Turn off borders on outer container */
    borderless?: boolean;
    /** Add rounded corners to scrollable container */
    rounded?: boolean;
};
/**
 * Render an opinionated composition of Scroll components, making `children`
 * scrollable.
 */
export default function ScrollBox({ children, elementRef, borderless, rounded, ...htmlAttributes }: ScrollBoxProps): import("preact").JSX.Element;
