import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
export type TableCellProps = PresentationalProps & Omit<JSX.TdHTMLAttributes<HTMLElement>, 'size'> & {
    /** Remove default padding, allowing consuming code to control it */
    unpadded?: boolean;
};
/**
 * Render a single table cell
 */
export default function TableCell({ children, classes, elementRef, unpadded, ...htmlAttributes }: TableCellProps): JSX.Element;
