var _jsxFileName = "/home/runner/work/frontend-shared/frontend-shared/src/components/data/Thumbnail.tsx";
import classnames from 'classnames';
import { toChildArray } from 'preact';
import { downcastRef } from '../../util/typing';
import Spinner from '../feedback/Spinner';
import { EllipsisIcon } from '../icons';
import AspectRatio from './AspectRatio';
import { jsxDEV as _jsxDEV } from "preact/jsx-dev-runtime";
/**
 * Render embedded media (e.g. image), handling aspect ratio, loading state and
 * placeholder content.
 */
export default function Thumbnail({
  children,
  elementRef,
  borderless = false,
  loading = false,
  objectFit = 'cover',
  placeholder,
  ratio = '16/9',
  size = 'md',
  ...htmlAttributes
}) {
  const emptyContent = placeholder !== null && placeholder !== void 0 ? placeholder : _jsxDEV(EllipsisIcon, {
    className: classnames('text-grey-5', {
      'w-4 h-4': size === 'sm' || size === 'md',
      // default (md)
      'w-8 h-8': size === 'lg'
    })
  }, void 0, false, {
    fileName: _jsxFileName,
    lineNumber: 60,
    columnNumber: 5
  }, this);
  // If there are no `children`, render a placeholder (unless loading)
  const content = toChildArray(children).length ? children : _jsxDEV("div", {
    children: emptyContent
  }, void 0, false, {
    fileName: _jsxFileName,
    lineNumber: 71,
    columnNumber: 5
  }, this);
  return _jsxDEV("div", {
    "data-composite-component": "Thumbnail",
    ...htmlAttributes,
    ref: downcastRef(elementRef),
    className: classnames('bg-grey-1 w-full h-full overflow-hidden', {
      'p-3': size === 'md' && !borderless,
      // default
      'p-2': size === 'sm' && !borderless,
      'p-4': size === 'lg' && !borderless,
      'p-0': borderless
    }),
    children: _jsxDEV("div", {
      className: "bg-white h-full w-full flex items-center justify-center overflow-hidden",
      children: _jsxDEV(AspectRatio, {
        ratio: ratio,
        objectFit: objectFit,
        children: loading ? _jsxDEV("div", {
          children: _jsxDEV(Spinner, {
            size: size
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 90,
            columnNumber: 15
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 89,
          columnNumber: 13
        }, this) : content
      }, void 0, false, {
        fileName: _jsxFileName,
        lineNumber: 87,
        columnNumber: 9
      }, this)
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 86,
      columnNumber: 7
    }, this)
  }, void 0, false, {
    fileName: _jsxFileName,
    lineNumber: 75,
    columnNumber: 5
  }, this);
}
//# sourceMappingURL=Thumbnail.js.map