import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
type ComponentProps = {
    /** relative internal spacing */
    size?: 'sm' | 'md' | 'lg';
};
export type CardContentProps = PresentationalProps & ComponentProps & Omit<JSX.HTMLAttributes<HTMLElement>, 'size'>;
/**
 * Apply consistent spacing and padding for actions content inside a Card
 */
export default function CardContent({ children, classes, elementRef, size, ...htmlAttributes }: CardContentProps): JSX.Element;
export {};
