import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
type ComponentProps = {
    /** Wrap the title with this HTML heading tag  */
    tagName?: 'h1' | 'h2' | 'h3' | 'h4' | 'h5';
    variant?: 'primary' | 'secondary';
};
export type CardTitleProps = PresentationalProps & ComponentProps & JSX.HTMLAttributes<HTMLElement>;
/**
 * Style a title for a Card
 */
export default function CardTitle({ children, classes, elementRef, tagName, variant, ...htmlAttributes }: CardTitleProps): JSX.Element;
export {};
