import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
type ComponentProps = {
    /** Overlay won't render if not open */
    open?: boolean;
    variant?: 'dark' | 'light';
};
export type OverlayProps = PresentationalProps & ComponentProps & Omit<JSX.HTMLAttributes<HTMLElement>, 'open'>;
/**
 * A full-screen fixed backdrop overlay
 */
export default function Overlay({ children, classes, elementRef, open, variant, ...htmlAttributes }: OverlayProps): JSX.Element | null;
export {};
