import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
import type { ButtonProps } from '../input/Button';
type ComponentProps = {
    inline?: boolean;
    underline?: 'always' | 'hover' | 'none';
    variant?: 'brand' | 'text-light' | 'text' | 'custom';
    unstyled?: boolean;
};
export type LinkButtonProps = PresentationalProps & Omit<ButtonProps, 'variant'> & ComponentProps & JSX.ButtonHTMLAttributes<HTMLButtonElement>;
/**
 * Style a button as a link
 */
export default function LinkButton({ children, classes, elementRef, inline, underline, variant, unstyled, ...htmlAttributes }: LinkButtonProps): JSX.Element;
export {};
