import type { JSX } from 'preact';
import type { PresentationalProps } from '../../types';
type HTMLAttributes = Omit<JSX.HTMLAttributes<HTMLElement>, 'size'>;
type ComponentProps = {
    /**
     * By default, TabLists are oriented horizontally. Vertically-oriented
     * TabLists add up/down arrow-key navigation.
     */
    vertical?: boolean;
};
export type TabListProps = PresentationalProps & ComponentProps & HTMLAttributes;
/**
 * Render a tablist container for a set of tabs, with arrow key navigation per
 * https://www.w3.org/WAI/ARIA/apg/patterns/tabpanel/
 */
export default function TabList({ children, classes, elementRef, vertical, ...htmlAttributes }: TabListProps): JSX.Element;
export {};
