var _jsxFileName = "/home/runner/work/frontend-shared/frontend-shared/src/pattern-library/components/patterns/UtilitiesPage.tsx";
import { Link } from '../../../';
import Library from '../Library';
import { jsxDEV as _jsxDEV } from "preact/jsx-dev-runtime";
export default function UtilitiesPage() {
  return _jsxDEV(Library.Page, {
    title: "Utilities",
    intro: _jsxDEV("p", {
      children: ["This ", "package's", " ", _jsxDEV("code", {
        children: "tailwindcss"
      }, void 0, false, {
        fileName: _jsxFileName,
        lineNumber: 10,
        columnNumber: 30
      }, this), " preset provides some extra utility classes and modifiers. These can be used independently to style your ", "app's", " component elements."]
    }, void 0, true, {
      fileName: _jsxFileName,
      lineNumber: 9,
      columnNumber: 9
    }, this),
    children: [_jsxDEV(Library.SectionL2, {
      title: "Utility classes",
      children: _jsxDEV(Library.SectionL3, {
        title: ".focus-visible-ring",
        children: [_jsxDEV("p", {
          children: ["The ", _jsxDEV("code", {
            children: ".focus-visible-ring"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 19,
            columnNumber: 17
          }, this), " utility class customizes an interactive element's focus ring such that it is only visible when the element has ", _jsxDEV("code", {
            children: ":focus-visible"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 21,
            columnNumber: 34
          }, this), " or the polyfilled equivalent for browsers that do not support", ' ', _jsxDEV("code", {
            children: ":focus-visible"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 23,
            columnNumber: 13
          }, this), ". It uses the ", _jsxDEV("code", {
            children: "blue-focus"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 23,
            columnNumber: 54
          }, this), ' ', "color."]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 18,
          columnNumber: 11
        }, this), _jsxDEV(Library.Demo, {
          title: "input and button with .focus-visible-ring",
          withSource: true,
          children: [_jsxDEV("input", {
            type: "text",
            className: "border focus-visible-ring"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 30,
            columnNumber: 13
          }, this), _jsxDEV("button", {
            className: "focus-visible-ring",
            children: "Button"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 31,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 26,
          columnNumber: 11
        }, this), _jsxDEV(Library.Demo, {
          title: "Combining with other tailwind ring classes",
          withSource: true,
          children: [_jsxDEV("input", {
            type: "text",
            className: "border focus-visible-ring ring-slate-5"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 38,
            columnNumber: 13
          }, this), _jsxDEV("button", {
            className: "focus-visible-ring ring-inset",
            children: "Inset ring"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 42,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 34,
          columnNumber: 11
        }, this)]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 17,
        columnNumber: 9
      }, this)
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 16,
      columnNumber: 7
    }, this), _jsxDEV(Library.SectionL2, {
      title: "Modifiers (variants)",
      children: [_jsxDEV("p", {
        children: "This package also provides some tailwind variants (modifiers) that can be combined with other tailwind utility classes."
      }, void 0, false, {
        fileName: _jsxFileName,
        lineNumber: 50,
        columnNumber: 9
      }, this), _jsxDEV(Library.SectionL3, {
        title: "Styling groups of inputs",
        children: [_jsxDEV("p", {
          children: ["The ", _jsxDEV("code", {
            children: "input-group"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 57,
            columnNumber: 17
          }, this), " modifier allows adaptation of styling on inputs when they are part of a group of inputs. This is identical in functionality to the", ' ', _jsxDEV(Link, {
            href: "https://tailwindcss.com/docs/hover-focus-and-other-states#styling-based-on-parent-state",
            underline: "always",
            children: ["tailwind ", _jsxDEV("code", {
              children: "group"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 64,
              columnNumber: 24
            }, this), " modifier"]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 60,
            columnNumber: 13
          }, this), ' ', "but is ", '"namespaced"', " to associate it with its more targeted usage."]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 56,
          columnNumber: 11
        }, this), _jsxDEV("p", {
          children: ["Each of the ", _jsxDEV("code", {
            children: "button"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 71,
            columnNumber: 25
          }, this), "s used in the following grouping examples has the markup shown below. The ", _jsxDEV("code", {
            children: "rounded-lg"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 72,
            columnNumber: 54
          }, this), ' ', "class sets border-radius on the buttons, but", ' ', _jsxDEV("code", {
            children: "input-group:rounded-none"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 74,
            columnNumber: 13
          }, this), " removes it when the buttons are inside of an ", _jsxDEV("code", {
            children: "input-group"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 75,
            columnNumber: 30
          }, this), "."]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 70,
          columnNumber: 11
        }, this), _jsxDEV(Library.Code, {
          content: _jsxDEV("button", {
            className: "border p-2 rounded-lg input-group:rounded-none",
            children: "Label"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 80,
            columnNumber: 15
          }, this),
          title: "Button element styling"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 78,
          columnNumber: 11
        }, this), _jsxDEV(Library.Demo, {
          title: "buttons in an .input-group",
          withSource: true,
          children: _jsxDEV("div", {
            className: "input-group",
            children: _jsxDEV("div", {
              className: "flex gap-x-2 input-group:gap-x-0",
              children: [_jsxDEV("button", {
                className: "border p-2 rounded-lg input-group:rounded-none",
                children: "One"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 90,
                columnNumber: 17
              }, this), _jsxDEV("button", {
                className: "border p-2 rounded-lg input-group:rounded-none",
                children: "Two"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 93,
                columnNumber: 17
              }, this), _jsxDEV("button", {
                className: "border p-2 rounded-lg input-group:rounded-none",
                children: "Three"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 96,
                columnNumber: 17
              }, this)]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 89,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 88,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 87,
          columnNumber: 11
        }, this), _jsxDEV(Library.Demo, {
          title: "The same buttons not in an .input-group",
          withSource: true,
          children: _jsxDEV("div", {
            className: "flex gap-x-2 input-group:gap-x-0",
            children: [_jsxDEV("button", {
              className: "border p-2 rounded-lg input-group:rounded-none",
              children: "One"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 108,
              columnNumber: 15
            }, this), _jsxDEV("button", {
              className: "border p-2 rounded-lg input-group:rounded-none",
              children: "Two"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 111,
              columnNumber: 15
            }, this), _jsxDEV("button", {
              className: "border p-2 rounded-lg input-group:rounded-none",
              children: "Three"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 114,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 107,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 103,
          columnNumber: 11
        }, this)]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 55,
        columnNumber: 9
      }, this)]
    }, void 0, true, {
      fileName: _jsxFileName,
      lineNumber: 49,
      columnNumber: 7
    }, this)]
  }, void 0, true, {
    fileName: _jsxFileName,
    lineNumber: 6,
    columnNumber: 5
  }, this);
}
//# sourceMappingURL=UtilitiesPage.js.map