var _jsxFileName = "/home/runner/work/frontend-shared/frontend-shared/src/pattern-library/components/patterns/feedback/DialogPage.tsx";
import { useState, useRef, useCallback } from 'preact/hooks';
import { ArrowRightIcon, Button, CloseButton, DataTable, Dialog, EditIcon, IconButton, Input, InputGroup, Link, Scroll, Slider, Tab, TabList } from '../../../../';
import { ModalDialog } from '../../../../components/feedback';
import { confirm } from '../../../../util/prompts';
import Library from '../../Library';
import { LoremIpsum, nabokovNovels } from '../samples';
import { jsxDEV as _jsxDEV, Fragment as _Fragment } from "preact/jsx-dev-runtime";
const nabokovRows = nabokovNovels();
const nabokovColumns = [{
  field: 'title',
  label: 'Title'
}, {
  field: 'year',
  label: 'Year'
}, {
  field: 'language',
  label: 'Language'
}];
function DialogButtons() {
  return _jsxDEV(_Fragment, {
    children: [_jsxDEV(Button, {
      onClick: () => alert('You chose maybe'),
      children: "Maybe"
    }, "maybe", false, {
      fileName: _jsxFileName,
      lineNumber: 40,
      columnNumber: 7
    }, this), _jsxDEV(Button, {
      onClick: () => alert('You chose yep'),
      variant: "primary",
      children: "Do it!"
    }, "yep", false, {
      fileName: _jsxFileName,
      lineNumber: 43,
      columnNumber: 7
    }, this)]
  }, void 0, true);
}
/**
 * Wrap the Dialog component with some state management to make reuse in
 * multiple examples plausible and convenient.
 */
function Dialog_({
  _alwaysShowButton = false,
  _nonCloseable,
  children,
  ...dialogProps
}) {
  var _dialogProps$buttons;
  const [dialogOpen, setDialogOpen] = useState(false);
  const closeDialog = () => setDialogOpen(false);
  const closeHandler = _nonCloseable ? undefined : closeDialog;
  const panelProps = dialogProps.variant !== 'custom' ? {
    buttons: (_dialogProps$buttons = dialogProps.buttons) !== null && _dialogProps$buttons !== void 0 ? _dialogProps$buttons : _jsxDEV(Button, {
      onClick: closeDialog,
      children: "Escape!"
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 77,
      columnNumber: 13
    }, this)
  } : undefined;
  const openButton = _jsxDEV(Button, {
    onClick: () => setDialogOpen(!dialogOpen),
    variant: "primary",
    children: [dialogOpen ? 'Hide' : 'Show', " dialog"]
  }, void 0, true, {
    fileName: _jsxFileName,
    lineNumber: 83,
    columnNumber: 5
  }, this);
  return _jsxDEV("div", {
    className: "flex w-full gap-x-2",
    children: [(!dialogOpen || _alwaysShowButton) && _jsxDEV("div", {
      children: openButton
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 90,
      columnNumber: 46
    }, this), _jsxDEV("div", {
      className: "grow",
      children: dialogOpen && _jsxDEV(Dialog, {
        ...panelProps,
        ...dialogProps,
        onClose: closeHandler,
        children: children
      }, void 0, false, {
        fileName: _jsxFileName,
        lineNumber: 93,
        columnNumber: 11
      }, this)
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 91,
      columnNumber: 7
    }, this)]
  }, void 0, true, {
    fileName: _jsxFileName,
    lineNumber: 89,
    columnNumber: 5
  }, this);
}
function Confirm() {
  const [result, setResult] = useState(null);
  const showConfirm = useCallback(async () => {
    const answer = await confirm({
      message: 'This is a confirm dialog',
      // Optional options
      title: 'Your title',
      confirmAction: 'Yes please',
      cancelAction: 'I changed my mind'
    });
    setResult(answer);
  }, []);
  return _jsxDEV(_Fragment, {
    children: [_jsxDEV(Button, {
      variant: "primary",
      onClick: showConfirm,
      children: "Show confirm"
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 118,
      columnNumber: 7
    }, this), result !== null && _jsxDEV(_Fragment, {
      children: ["You clicked ", result ? 'Yes' : 'Cancel']
    }, void 0, true)]
  }, void 0, true);
}
/**
 * Wrap the ModalDialog component with some state management to make reuse in
 * multiple examples plausible and convenient.
 */
function ModalDialog_({
  buttons,
  _alwaysShowButton = false,
  _nonCloseable,
  children,
  ...dialogProps
}) {
  const [dialogOpen, setDialogOpen] = useState(false);
  const closeDialog = () => setDialogOpen(false);
  const closeHandler = _nonCloseable ? undefined : closeDialog;
  const forwardedButtons = buttons ? buttons : _jsxDEV(Button, {
    onClick: closeDialog,
    children: "Escape!"
  }, void 0, false, {
    fileName: _jsxFileName,
    lineNumber: 150,
    columnNumber: 5
  }, this);
  const openButton = _jsxDEV(Button, {
    onClick: () => setDialogOpen(!dialogOpen),
    variant: "primary",
    children: [dialogOpen ? 'Hide' : 'Show', " dialog"]
  }, void 0, true, {
    fileName: _jsxFileName,
    lineNumber: 154,
    columnNumber: 5
  }, this);
  return _jsxDEV(_Fragment, {
    children: [(!dialogOpen || _alwaysShowButton) && openButton, dialogOpen && _jsxDEV(ModalDialog, {
      buttons: forwardedButtons,
      ...dialogProps,
      onClose: closeHandler,
      children: children
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 163,
      columnNumber: 9
    }, this)]
  }, void 0, true);
}
function CustomModalDialog_(dialogProps) {
  const [dialogOpen, setDialogOpen] = useState(false);
  return _jsxDEV(_Fragment, {
    children: [_jsxDEV(Button, {
      onClick: () => setDialogOpen(prev => !prev),
      variant: "primary",
      children: [dialogOpen ? 'Hide' : 'Show', " dialog"]
    }, void 0, true, {
      fileName: _jsxFileName,
      lineNumber: 180,
      columnNumber: 7
    }, this), dialogOpen && _jsxDEV(ModalDialog, {
      ...dialogProps,
      onClose: () => setDialogOpen(false),
      closeOnClickAway: true
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 184,
      columnNumber: 9
    }, this)]
  }, void 0, true);
}
export default function DialogPage() {
  const inputRef = useRef(null);

  // For the complex-modal example
  const [selectedRow, setSelectedRow] = useState(null);
  const [selectedTab, setSelectedTab] = useState('tab1');
  return _jsxDEV(Library.Page, {
    title: "Dialogs",
    intro: _jsxDEV("p", {
      children: [_jsxDEV("code", {
        children: "Dialog"
      }, void 0, false, {
        fileName: _jsxFileName,
        lineNumber: 205,
        columnNumber: 11
      }, this), " and ", _jsxDEV("code", {
        children: "ModalDialog"
      }, void 0, false, {
        fileName: _jsxFileName,
        lineNumber: 205,
        columnNumber: 35
      }, this), " provide functionality similar to a ", "browser's", " ", _jsxDEV("code", {
        children: "dialog"
      }, void 0, false, {
        fileName: _jsxFileName,
        lineNumber: 206,
        columnNumber: 38
      }, this), " element, with applied", _jsxDEV("code", {
        children: "Panel"
      }, void 0, false, {
        fileName: _jsxFileName,
        lineNumber: 207,
        columnNumber: 11
      }, this), " layout."]
    }, void 0, true, {
      fileName: _jsxFileName,
      lineNumber: 204,
      columnNumber: 9
    }, this),
    children: [_jsxDEV(Library.Section, {
      id: "dialog",
      title: "Dialog",
      intro: _jsxDEV("p", {
        children: [_jsxDEV("code", {
          children: "Dialog"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 216,
          columnNumber: 13
        }, this), " renders a non-modal dialog. It handles focus routing and provides other optional dialog behaviors."]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 215,
        columnNumber: 11
      }, this),
      children: [_jsxDEV(Library.SectionL2, {
        children: [_jsxDEV(Library.Usage, {
          componentName: "Dialog"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 222,
          columnNumber: 11
        }, this), _jsxDEV(Library.Demo, {
          title: "Basic Dialog",
          withSource: true,
          children: _jsxDEV(Dialog_, {
            buttons: _jsxDEV(DialogButtons, {}, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 225,
              columnNumber: 24
            }, this),
            icon: EditIcon,
            initialFocus: inputRef,
            title: "Basic dialog",
            children: [_jsxDEV("p", {
              children: "This is a basic Dialog that routes focus initially to a text input."
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 230,
              columnNumber: 15
            }, this), _jsxDEV(InputGroup, {
              children: [_jsxDEV(Input, {
                name: "my-input",
                elementRef: inputRef
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 235,
                columnNumber: 17
              }, this), _jsxDEV(IconButton, {
                icon: ArrowRightIcon,
                variant: "dark",
                title: "go"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 236,
                columnNumber: 17
              }, this)]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 234,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 224,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 223,
          columnNumber: 11
        }, this)]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 221,
        columnNumber: 9
      }, this), _jsxDEV(Library.SectionL2, {
        title: "Working with Dialogs",
        children: _jsxDEV(Library.SectionL3, {
          title: "Laying out content",
          children: [_jsxDEV("p", {
            children: ["By default, ", _jsxDEV("code", {
              children: "Dialog"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 245,
              columnNumber: 27
            }, this), " will lay out its children in a", ' ', _jsxDEV("code", {
              children: "Panel"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 246,
              columnNumber: 15
            }, this), ". Set ", _jsxDEV("code", {
              children: "variant"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 246,
              columnNumber: 39
            }, this), " to", ' ', _jsxDEV("code", {
              children: `'custom'`
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 247,
              columnNumber: 15
            }, this), " to use a custom layout."]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 244,
            columnNumber: 13
          }, this), _jsxDEV("p", {
            children: ["Use", ' ', _jsxDEV(Library.Link, {
              href: "/input-closebutton",
              children: _jsxDEV("code", {
                children: "CloseButton"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 252,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 251,
              columnNumber: 15
            }, this), ' ', "in custom dialog layouts to ensure the proper close handler is used."]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 249,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Dialog with custom layout",
            withSource: true,
            children: _jsxDEV(Dialog_, {
              variant: "custom",
              transitionComponent: Slider,
              children: _jsxDEV("div", {
                className: "flex gap-x-3 items-center border p-3 bg-white",
                children: [_jsxDEV("div", {
                  className: "grow",
                  children: "Custom dialog content"
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 260,
                  columnNumber: 19
                }, this), _jsxDEV(CloseButton, {}, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 261,
                  columnNumber: 19
                }, this)]
              }, void 0, true, {
                fileName: _jsxFileName,
                lineNumber: 259,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 258,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 257,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 243,
          columnNumber: 11
        }, this)
      }, void 0, false, {
        fileName: _jsxFileName,
        lineNumber: 242,
        columnNumber: 9
      }, this), _jsxDEV(Library.SectionL2, {
        title: "Component API",
        children: [_jsxDEV("p", {
          children: [_jsxDEV("code", {
            children: "Dialog"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 270,
            columnNumber: 13
          }, this), " accepts all standard", ' ', _jsxDEV(Library.Link, {
            href: "/using-components#composite-components-api",
            children: "composite component props"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 271,
            columnNumber: 13
          }, this), "."]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 269,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "title",
          children: _jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["A ", _jsxDEV("code", {
                children: "title"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 280,
                columnNumber: 19
              }, this), " is required for all dialogs."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 279,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: "string"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 283,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 282,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "required",
              children: _jsxDEV("code", {
                children: "true"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 286,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 285,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 278,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 277,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "classes",
          children: _jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["Atypically for a composite component, ", _jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 294,
                columnNumber: 55
              }, this), ' ', "accepts ", _jsxDEV("code", {
                children: "classes"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 295,
                columnNumber: 25
              }, this), " (CSS classes). These will be appended to the classes applied to the ", "dialog's", " container element."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 293,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: "string"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 300,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 299,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 292,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 291,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "closeOnClickAway",
          children: [_jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["The ", _jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 308,
                columnNumber: 21
              }, this), " should close (invoke its", ' ', _jsxDEV("code", {
                children: "onClose"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 309,
                columnNumber: 17
              }, this), " callback) when there are click events outside of it"]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 307,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: "boolean"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 313,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 312,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: "false"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 316,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 315,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 306,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Dialog that closes on external clicks",
            withSource: true,
            children: _jsxDEV(Dialog_, {
              closeOnClickAway: true,
              title: "Dialog that closes when there are external clicks",
              children: _jsxDEV("p", {
                children: "This dialog will close if you click outside of it"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 327,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 323,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 319,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 305,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "closeOnEscape",
          children: [_jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["The ", _jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 335,
                columnNumber: 21
              }, this), " should close (invoke its", ' ', _jsxDEV("code", {
                children: "onClose"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 336,
                columnNumber: 17
              }, this), " callback) when the ", _jsxDEV("kbd", {
                children: "ESC"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 336,
                columnNumber: 57
              }, this), " key is pressed."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 334,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: "boolean"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 340,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 339,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: "false"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 343,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 342,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 333,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Dialog with close-on-Escape behavior",
            withSource: true,
            children: _jsxDEV(Dialog_, {
              closeOnEscape: true,
              title: "Close on ESC",
              children: _jsxDEV("p", {
                children: ["This dialog will close if you press ", _jsxDEV("kbd", {
                  children: "Escape"
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 353,
                  columnNumber: 55
                }, this), "."]
              }, void 0, true, {
                fileName: _jsxFileName,
                lineNumber: 352,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 351,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 347,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 332,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "closeOnFocusAway",
          children: [_jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["The ", _jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 362,
                columnNumber: 21
              }, this), " should close (invoke its", ' ', _jsxDEV("code", {
                children: "onClose"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 363,
                columnNumber: 17
              }, this), " callback) when there are focus events outside of it."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 361,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: "boolean"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 367,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 366,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: "false"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 370,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 369,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 360,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Dialog that closes on external focus events",
            withSource: true,
            children: _jsxDEV(Dialog_, {
              closeOnFocusAway: true,
              title: "Close on Away Focus",
              children: _jsxDEV("p", {
                children: "This dialog will close if you focus outside of it"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 378,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 377,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 373,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 359,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "initialFocus",
          children: _jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["Determine how initial focus is routed when the", ' ', _jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 387,
                columnNumber: 17
              }, this), " is mounted (opened). By default (", _jsxDEV("code", {
                children: `'auto'`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 388,
                columnNumber: 17
              }, this), "), the dialog itself will be focused. Provide a ", _jsxDEV("code", {
                children: "ref"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 389,
                columnNumber: 27
              }, this), " to focus a specific element initially, or set to ", _jsxDEV("code", {
                children: `'manual'`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 390,
                columnNumber: 38
              }, this), " to opt out of any focus routing."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 385,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: `preact.RefObject<HTMLOrSVGElement | null> | 'auto' | 'manual'`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 394,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 393,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: `'auto'`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 397,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 396,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 384,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 383,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "onClose",
          children: [_jsxDEV(Library.Callout, {
            children: ["The ", _jsxDEV("code", {
              children: "onClose"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 404,
              columnNumber: 19
            }, this), " prop is optional, but should be considered required for all new ", _jsxDEV("code", {
              children: "Dialog"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 405,
              columnNumber: 47
            }, this), "s. This flexibility exists to support legacy use cases of", ' ', 'non-closeable', " dialogs."]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 403,
            columnNumber: 13
          }, this), _jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["Callback invoked when the ", _jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 411,
                columnNumber: 43
              }, this), " should be closed.", ' ', "Note: ", _jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 412,
                columnNumber: 23
              }, this), "s have no state \u2014 when rendered, they are always open."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 410,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: `() => void`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 416,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 415,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 409,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Non-closeable Dialog example",
            withSource: true,
            children: _jsxDEV(Dialog_, {
              icon: EditIcon,
              title: "Non-closeable dialog example",
              _nonCloseable: true,
              children: _jsxDEV("p", {
                children: ["This is a ", '"non-closeable"', " ", _jsxDEV("code", {
                  children: "Dialog"
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 426,
                  columnNumber: 49
                }, this), ". This pattern should be avoided, but is supported for a few legacy use cases. You can close this modal by clicking the", ' ', '"Escape!"', " button."]
              }, void 0, true, {
                fileName: _jsxFileName,
                lineNumber: 425,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 420,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 419,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 402,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "closeTitle",
          children: [_jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["Determine the accessible title to be set on the close button when ", _jsxDEV("code", {
                children: "onClose"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 439,
                columnNumber: 22
              }, this), " has also been provided."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 437,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: "string"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 442,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 441,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: `'Close'`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 445,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 444,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 436,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Custom close title",
            withSource: true,
            children: _jsxDEV(Dialog_, {
              title: "Custom close title",
              closeTitle: "Custom text here",
              children: _jsxDEV("p", {
                children: "This dialog has a custom title on the close button. Hover over it to see it."
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 450,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 449,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 448,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 435,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "restoreFocus",
          children: [_jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["Upon closing (unmounting), restore focus to the element that had focus before the ", _jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 462,
                columnNumber: 34
              }, this), " was opened (mounted)."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 460,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: "boolean"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 465,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 464,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: "false"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 468,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 467,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 459,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Dialog with focus restoration on close",
            withSource: true,
            children: _jsxDEV(Dialog_, {
              _alwaysShowButton: true,
              restoreFocus: true,
              title: "Restore focus",
              children: _jsxDEV("p", {
                children: "This dialog will restore focus to the previously-focused element on close."
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 477,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 476,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 472,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 458,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "transitionComponent",
          children: [_jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["A ", _jsxDEV("code", {
                children: "TransitionComponent"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 488,
                columnNumber: 19
              }, this), " to use when this", ' ', _jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 489,
                columnNumber: 17
              }, this), " is opened/mounted and closed/unmounted. By default, no transition is applied."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 487,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: "TransitionComponent"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 493,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 492,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 486,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Dialog with TransitionComponent example",
            withSource: true,
            children: _jsxDEV(Dialog_, {
              title: "Dialog with TransitionComponent example",
              transitionComponent: Slider,
              children: _jsxDEV("p", {
                children: "This dialog has a slide down/up transition when opened/closed."
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 505,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 501,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 497,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 485,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "variant",
          children: _jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["By default, contents are laid out in a ", _jsxDEV("code", {
                children: "Panel"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 515,
                columnNumber: 56
              }, this), ". Set to ", _jsxDEV("code", {
                children: `'custom'`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 516,
                columnNumber: 20
              }, this), " to lay out dialog content manually."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 514,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: `'panel' | 'custom'`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 519,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 518,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: `'panel'`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 522,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 521,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 513,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 512,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "...panelProps",
          children: _jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: [_jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 530,
                columnNumber: 17
              }, this), " uses ", _jsxDEV("code", {
                children: "Panel"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 530,
                columnNumber: 42
              }, this), " for layout. All", ' ', _jsxDEV(Library.Link, {
                href: "/layout-panel",
                children: "Panel"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 531,
                columnNumber: 17
              }, this), " props are accepted and forwarded except for", ' ', _jsxDEV("code", {
                children: "fullWidthHeader"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 533,
                columnNumber: 17
              }, this), " (which is always set for", ' ', _jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 534,
                columnNumber: 17
              }, this), ")."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 529,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: `Omit<PanelProps, 'fullWidthHeader'>`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 537,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 536,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 528,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 527,
          columnNumber: 11
        }, this)]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 268,
        columnNumber: 9
      }, this)]
    }, void 0, true, {
      fileName: _jsxFileName,
      lineNumber: 211,
      columnNumber: 7
    }, this), _jsxDEV(Library.Section, {
      id: "modaldialog",
      title: "ModalDialog",
      intro: _jsxDEV("p", {
        children: [_jsxDEV("code", {
          children: "ModalDialog"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 549,
          columnNumber: 13
        }, this), " renders a modal dialog with a full-screen backdrop overlay. It extends ", _jsxDEV("code", {
          children: "Dialog"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 550,
          columnNumber: 42
        }, this), " and sets some different behavioral defaults."]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 548,
        columnNumber: 11
      }, this),
      children: [_jsxDEV(Library.SectionL2, {
        children: [_jsxDEV(Library.Usage, {
          componentName: "ModalDialog"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 556,
          columnNumber: 11
        }, this), _jsxDEV(Library.Demo, {
          title: "Basic ModalDialog",
          withSource: true,
          children: _jsxDEV(ModalDialog_, {
            _alwaysShowButton: true,
            buttons: _jsxDEV(DialogButtons, {}, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 561,
              columnNumber: 24
            }, this),
            icon: EditIcon,
            initialFocus: inputRef,
            title: "Basic dialog",
            children: [_jsxDEV("p", {
              children: "This is a basic ModalDialog."
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 566,
              columnNumber: 15
            }, this), _jsxDEV("ul", {
              className: "list-disc m-8",
              children: [_jsxDEV("li", {
                children: ["It will close if you press the ", _jsxDEV("kbd", {
                  children: "Escape"
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 569,
                  columnNumber: 50
                }, this), " key."]
              }, void 0, true, {
                fileName: _jsxFileName,
                lineNumber: 568,
                columnNumber: 17
              }, this), _jsxDEV("li", {
                children: "It will trap focus and allow navigation with tab and shift-tab."
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 571,
                columnNumber: 17
              }, this), _jsxDEV("li", {
                children: "It will restore focus after it is closed."
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 575,
                columnNumber: 17
              }, this)]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 567,
              columnNumber: 15
            }, this), _jsxDEV(InputGroup, {
              children: [_jsxDEV(Input, {
                name: "my-input",
                elementRef: inputRef
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 578,
                columnNumber: 17
              }, this), _jsxDEV(IconButton, {
                icon: ArrowRightIcon,
                variant: "dark",
                title: "go"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 579,
                columnNumber: 17
              }, this)]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 577,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 559,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 558,
          columnNumber: 11
        }, this)]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 555,
        columnNumber: 9
      }, this), _jsxDEV(Library.SectionL2, {
        title: "Working with ModalDialogs",
        children: [_jsxDEV(Library.SectionL3, {
          title: "Handling long content",
          children: [_jsxDEV("p", {
            children: ["By default, content in a ", _jsxDEV("code", {
              children: "Dialog"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 587,
              columnNumber: 40
            }, this), " or", ' ', _jsxDEV("code", {
              children: "ModalDialog"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 588,
              columnNumber: 15
            }, this), " will scroll as needed to keep the modal from exceeding viewport capacity."]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 586,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Modal with overflowing content",
            withSource: true,
            children: _jsxDEV(ModalDialog_, {
              buttons: _jsxDEV(DialogButtons, {}, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 593,
                columnNumber: 26
              }, this),
              title: "Modal with long content",
              children: _jsxDEV(LoremIpsum, {
                size: "lg"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 596,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 592,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 591,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 585,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "Handling complex modals",
          children: [_jsxDEV("p", {
            children: ["Modal dialogs should provide appropriate keyboard navigation even when there are multiple or complex embedded widgts, like data tables (ARIA ", _jsxDEV("code", {
              children: `role="grid"`
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 604,
              columnNumber: 28
            }, this), ") or tabs (ARIA", ' ', _jsxDEV("code", {
              children: `role="tablist"`
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 605,
              columnNumber: 15
            }, this), ")."]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 601,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Modal with embedded ARIA widgets",
            withSource: true,
            children: _jsxDEV(ModalDialog_, {
              buttons: _jsxDEV(DialogButtons, {}, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 609,
                columnNumber: 26
              }, this),
              classes: "h-[25rem]",
              title: "Modal with tabs and data table",
              scrollable: false,
              children: [_jsxDEV(TabList, {
                classes: "gap-x-4",
                children: [_jsxDEV(Tab, {
                  textContent: "Tab 1",
                  selected: selectedTab === 'tab1',
                  onClick: () => setSelectedTab('tab1'),
                  children: "Tab 1"
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 615,
                  columnNumber: 19
                }, this), _jsxDEV(Tab, {
                  textContent: "Tab 2",
                  selected: selectedTab === 'tab2',
                  onClick: () => setSelectedTab('tab2'),
                  children: "Tab 2"
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 622,
                  columnNumber: 19
                }, this)]
              }, void 0, true, {
                fileName: _jsxFileName,
                lineNumber: 614,
                columnNumber: 17
              }, this), _jsxDEV("p", {
                children: ["Content for both tabs, with", ' ', _jsxDEV(Link, {
                  href: "#",
                  underline: "always",
                  children: "a link"
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 632,
                  columnNumber: 19
                }, this), "."]
              }, void 0, true, {
                fileName: _jsxFileName,
                lineNumber: 630,
                columnNumber: 17
              }, this), selectedTab === 'tab1' && _jsxDEV(Scroll, {
                children: _jsxDEV(DataTable, {
                  rows: nabokovRows,
                  columns: nabokovColumns,
                  title: "Nabokov novels",
                  selectedRow: selectedRow,
                  onSelectRow: row => setSelectedRow(row)
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 639,
                  columnNumber: 21
                }, this)
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 638,
                columnNumber: 19
              }, this), selectedTab === 'tab2' && _jsxDEV(_Fragment, {
                children: [_jsxDEV("p", {
                  children: "This is content on another, second, tab."
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 650,
                  columnNumber: 21
                }, this), _jsxDEV("div", {
                  className: "flex gap-x-4",
                  children: [_jsxDEV(Button, {
                    children: "Click me"
                  }, void 0, false, {
                    fileName: _jsxFileName,
                    lineNumber: 652,
                    columnNumber: 23
                  }, this), _jsxDEV(Button, {
                    children: "No, me!"
                  }, void 0, false, {
                    fileName: _jsxFileName,
                    lineNumber: 653,
                    columnNumber: 23
                  }, this)]
                }, void 0, true, {
                  fileName: _jsxFileName,
                  lineNumber: 651,
                  columnNumber: 21
                }, this)]
              }, void 0, true)]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 608,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 607,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 600,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "Managing modal height",
          children: [_jsxDEV("p", {
            children: "By default, the height of a modal is dependent on the content inside of it. It will grow in height as needed for the content until it fills the available vertical space in the viewport, after which it will (unless disabled) scroll overheight content."
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 661,
            columnNumber: 13
          }, this), _jsxDEV("p", {
            children: "But you may wish to control the height of your modals. There are two options:"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 667,
            columnNumber: 13
          }, this), _jsxDEV("ul", {
            children: [_jsxDEV("li", {
              children: [_jsxDEV("strong", {
                children: "Set a height on the ModalDialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 673,
                columnNumber: 17
              }, this), " itself via the", ' ', _jsxDEV("code", {
                children: "classes"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 674,
                columnNumber: 17
              }, this), " prop. The Modal will always render at this height. If contained content height exceeds this height, it will scroll."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 672,
              columnNumber: 15
            }, this), _jsxDEV("li", {
              children: [_jsxDEV("strong", {
                children: ["Set a minimum height on the ", "ModalDialog's", " content"]
              }, void 0, true, {
                fileName: _jsxFileName,
                lineNumber: 679,
                columnNumber: 17
              }, this), ". The ModalDialog will always render at least this height, but will grow in height if needed to accommodate longer content (up to the bounds of the viewport)."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 678,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 671,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "ModalDialog with a fixed height",
            withSource: true,
            children: _jsxDEV(ModalDialog_, {
              title: "Modal with a fixed height",
              buttons: _jsxDEV(DialogButtons, {}, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 690,
                columnNumber: 26
              }, this),
              classes: "h-[25rem]",
              children: _jsxDEV("p", {
                children: ["This ModalDialog has a height of ", _jsxDEV("code", {
                  children: "25rem"
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 694,
                  columnNumber: 52
                }, this), "."]
              }, void 0, true, {
                fileName: _jsxFileName,
                lineNumber: 693,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 688,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 687,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Modal with a fixed height: long content",
            withSource: true,
            children: _jsxDEV(ModalDialog_, {
              title: "ModalDialog with a fixed height",
              buttons: _jsxDEV(DialogButtons, {}, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 705,
                columnNumber: 26
              }, this),
              classes: "h-[25rem]",
              children: [_jsxDEV("p", {
                children: ["This ModalDialog has a height of ", _jsxDEV("code", {
                  children: "25rem"
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 709,
                  columnNumber: 52
                }, this), " and long content."]
              }, void 0, true, {
                fileName: _jsxFileName,
                lineNumber: 708,
                columnNumber: 17
              }, this), _jsxDEV(LoremIpsum, {
                size: "lg"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 712,
                columnNumber: 17
              }, this)]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 703,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 699,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Modal with a minimum content height and not much content",
            withSource: true,
            children: _jsxDEV(ModalDialog_, {
              title: "Modal with minimum height set on content",
              buttons: _jsxDEV(DialogButtons, {}, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 722,
                columnNumber: 26
              }, this),
              children: _jsxDEV("div", {
                className: "min-h-[15rem]",
                children: _jsxDEV("p", {
                  children: ["This ", "ModalDialog's", " content has a preferred height of 15rem set by a CSS class."]
                }, void 0, true, {
                  fileName: _jsxFileName,
                  lineNumber: 725,
                  columnNumber: 19
                }, this)
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 724,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 720,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 716,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "Modal with a minimum height and scrolling content",
            withSource: true,
            children: _jsxDEV(ModalDialog_, {
              title: "Modal with a minimum height and tall content",
              buttons: _jsxDEV(DialogButtons, {}, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 739,
                columnNumber: 26
              }, this),
              children: _jsxDEV("div", {
                className: "min-h-[15rem] space-y-3",
                children: [_jsxDEV("p", {
                  children: "This modal has a preferred height of 15rem, but its content exceeds the height of the viewport, and scrolls."
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 742,
                  columnNumber: 19
                }, this), _jsxDEV("hr", {}, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 746,
                  columnNumber: 19
                }, this), _jsxDEV("p", {
                  children: _jsxDEV(LoremIpsum, {
                    size: "lg"
                  }, void 0, false, {
                    fileName: _jsxFileName,
                    lineNumber: 748,
                    columnNumber: 21
                  }, this)
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 747,
                  columnNumber: 19
                }, this)]
              }, void 0, true, {
                fileName: _jsxFileName,
                lineNumber: 741,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 737,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 733,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 660,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "Custom layout",
          children: _jsxDEV(Library.Demo, {
            title: "Modal dialog with custom layout",
            withSource: true,
            children: _jsxDEV(CustomModalDialog_, {
              variant: "custom",
              children: _jsxDEV("div", {
                className: "flex gap-x-3 items-center border p-3 bg-white",
                children: [_jsxDEV("div", {
                  className: "grow",
                  children: "Custom dialog content"
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 758,
                  columnNumber: 19
                }, this), _jsxDEV(CloseButton, {}, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 759,
                  columnNumber: 19
                }, this)]
              }, void 0, true, {
                fileName: _jsxFileName,
                lineNumber: 757,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 756,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 755,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 754,
          columnNumber: 11
        }, this)]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 584,
        columnNumber: 9
      }, this), _jsxDEV(Library.SectionL2, {
        title: "ComponentAPI",
        children: [_jsxDEV(Library.SectionL3, {
          title: "title",
          children: _jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["A ", _jsxDEV("code", {
                children: "title"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 769,
                columnNumber: 19
              }, this), " is required for all modal dialogs."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 768,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: "string"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 772,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 771,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "required",
              children: _jsxDEV("code", {
                children: "true"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 775,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 774,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 767,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 766,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "disableCloseOnEscape",
          children: _jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["Do not close the ", _jsxDEV("code", {
                children: "ModalDialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 783,
                columnNumber: 34
              }, this), " when ", _jsxDEV("kbd", {
                children: "ESC"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 783,
                columnNumber: 64
              }, this), " is pressed."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 782,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: "boolean"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 787,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 786,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: "false"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 790,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 789,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 781,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 780,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "disableFocusTrap",
          children: [_jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: "Do not trap focus in the modal."
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 797,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: "boolean"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 801,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 800,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: "false"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 804,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 803,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 796,
            columnNumber: 13
          }, this), _jsxDEV(Library.Callout, {
            children: [_jsxDEV("em", {
              children: "Note"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 809,
              columnNumber: 15
            }, this), ": Modal focus trapping is part of", ' ', _jsxDEV(Link, {
              href: "https://www.w3.org/WAI/ARIA/apg/patterns/dialog-modal/#keyboardinteraction",
              underline: "always",
              children: "WAI-ARIA authoring guidelines"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 810,
              columnNumber: 15
            }, this), ". Disabling this prop is not recommended and could raise issues of accessibility."]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 808,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 795,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "disableRestoreFocus",
          children: _jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: "Do not restore focus to previously-focused element when the modal is closed."
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 823,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: "boolean"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 828,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 827,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: "false"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 831,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 830,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 822,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 821,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "size",
          children: [_jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["Set the relative width of the modal element. Set to ", `'custom'`, ' ', "to customize dimensions via ", _jsxDEV("code", {
                children: "classes"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 840,
                columnNumber: 45
              }, this), ".", _jsxDEV("br", {}, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 841,
                columnNumber: 17
              }, this), "Note that setting ", `'custom'`, " value will disable both horizontal and vertical automatic sizing."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 838,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: `'sm' | 'md' | 'lg' | 'custom'`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 846,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 845,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: `'md'`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 849,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 848,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 837,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "size='sm'",
            withSource: true,
            children: _jsxDEV(ModalDialog_, {
              buttons: _jsxDEV(DialogButtons, {}, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 854,
                columnNumber: 26
              }, this),
              title: "Small modal",
              size: "sm",
              children: _jsxDEV(LoremIpsum, {
                size: "sm"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 858,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 853,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 852,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "size='md' (default)",
            withSource: true,
            children: _jsxDEV(ModalDialog_, {
              buttons: _jsxDEV(DialogButtons, {}, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 864,
                columnNumber: 26
              }, this),
              title: "Medium-size modal",
              size: "md",
              children: _jsxDEV(LoremIpsum, {
                size: "md"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 868,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 863,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 862,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "size='lg'",
            withSource: true,
            children: _jsxDEV(ModalDialog_, {
              buttons: _jsxDEV(DialogButtons, {}, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 874,
                columnNumber: 26
              }, this),
              title: "Wide modal",
              size: "lg",
              children: _jsxDEV(LoremIpsum, {
                size: "md"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 878,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 873,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 872,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "size='custom'",
            withSource: true,
            children: _jsxDEV(ModalDialog_, {
              buttons: _jsxDEV(DialogButtons, {}, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 884,
                columnNumber: 26
              }, this),
              classes: "w-[40em] h-[80vh] top-[10vh]",
              title: "Custom-size modal",
              size: "custom",
              children: _jsxDEV(LoremIpsum, {
                size: "md"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 889,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 883,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 882,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 836,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "scrollable (default true)",
          children: [_jsxDEV("p", {
            children: "By default, dialogs will scroll overflowing content. In some cases, it is desireable to scroll only a portion of the content, or to disable scrolling entirely."
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 895,
            columnNumber: 13
          }, this), _jsxDEV("p", {
            children: ["The ", _jsxDEV("i", {
              children: "Handling Complex Modals"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 901,
              columnNumber: 19
            }, this), " example above disables scrolling with the ", _jsxDEV("code", {
              children: "scrollable"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 902,
              columnNumber: 34
            }, this), " prop."]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 900,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 894,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "...dialogAndPanelProps",
          children: _jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["Props forwarded to ", _jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 909,
                columnNumber: 36
              }, this), " and ", _jsxDEV("code", {
                children: "Panel"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 909,
                columnNumber: 60
              }, this), "."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 908,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "props",
              children: ["All ", _jsxDEV("code", {
                children: "Dialog"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 912,
                columnNumber: 21
              }, this), " and ", _jsxDEV("code", {
                children: "Panel"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 912,
                columnNumber: 45
              }, this), " props,", ' ', _jsxDEV("strong", {
                children: "except"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 913,
                columnNumber: 17
              }, this), ":", _jsxDEV("ul", {
                children: [_jsxDEV("li", {
                  children: [_jsxDEV("code", {
                    children: "closeOnEscape (Dialog)"
                  }, void 0, false, {
                    fileName: _jsxFileName,
                    lineNumber: 916,
                    columnNumber: 21
                  }, this), ": Use", ' ', _jsxDEV("code", {
                    children: "disableCloseOnEscape"
                  }, void 0, false, {
                    fileName: _jsxFileName,
                    lineNumber: 917,
                    columnNumber: 21
                  }, this), " instead"]
                }, void 0, true, {
                  fileName: _jsxFileName,
                  lineNumber: 915,
                  columnNumber: 19
                }, this), _jsxDEV("li", {
                  children: [_jsxDEV("code", {
                    children: "restoreFocus (Dialog)"
                  }, void 0, false, {
                    fileName: _jsxFileName,
                    lineNumber: 920,
                    columnNumber: 21
                  }, this), ": Use", ' ', _jsxDEV("code", {
                    children: "disableRestoreFocus"
                  }, void 0, false, {
                    fileName: _jsxFileName,
                    lineNumber: 921,
                    columnNumber: 21
                  }, this), " instead"]
                }, void 0, true, {
                  fileName: _jsxFileName,
                  lineNumber: 919,
                  columnNumber: 19
                }, this), _jsxDEV("li", {
                  children: [_jsxDEV("code", {
                    children: "fullWidthHeader (Panel)"
                  }, void 0, false, {
                    fileName: _jsxFileName,
                    lineNumber: 924,
                    columnNumber: 21
                  }, this), ": always", ' ', _jsxDEV("code", {
                    children: "true"
                  }, void 0, false, {
                    fileName: _jsxFileName,
                    lineNumber: 925,
                    columnNumber: 21
                  }, this), " for all dialogs"]
                }, void 0, true, {
                  fileName: _jsxFileName,
                  lineNumber: 923,
                  columnNumber: 19
                }, this)]
              }, void 0, true, {
                fileName: _jsxFileName,
                lineNumber: 914,
                columnNumber: 17
              }, this)]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 911,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: `Omit<DialogProps, 'restoreFocus' | 'closeOnEscape'>`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 930,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 929,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 907,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 906,
          columnNumber: 11
        }, this)]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 765,
        columnNumber: 9
      }, this)]
    }, void 0, true, {
      fileName: _jsxFileName,
      lineNumber: 544,
      columnNumber: 7
    }, this), _jsxDEV(Library.Section, {
      id: "confirmprompt",
      title: "confirm",
      intro: _jsxDEV("p", {
        children: [_jsxDEV("code", {
          children: "confirm"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 942,
          columnNumber: 13
        }, this), " is a utility function that renders a", ' ', _jsxDEV("code", {
          children: "ModalDialog"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 943,
          columnNumber: 13
        }, this), " with two action buttons. It returns a", ' ', _jsxDEV("code", {
          children: "Promise"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 944,
          columnNumber: 13
        }, this), " resolving a ", _jsxDEV("code", {
          children: "boolean"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 944,
          columnNumber: 46
        }, this), "."]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 941,
        columnNumber: 11
      }, this),
      children: _jsxDEV(Library.SectionL2, {
        children: [_jsxDEV(Library.Usage, {
          componentName: "confirm"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 949,
          columnNumber: 11
        }, this), _jsxDEV(Library.Demo, {
          title: "Basic confirm",
          children: _jsxDEV(Confirm, {}, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 951,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 950,
          columnNumber: 11
        }, this), _jsxDEV(Library.Demo, {
          title: "Usage",
          children: _jsxDEV(Library.Code, {
            content: `const answer = await confirm({
  message: 'This is a confirm dialog',

  // Optional options
  title: 'Your title',
  confirmAction: 'Yes please',
  cancelAction: 'I changed my mind'
});`
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 955,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 954,
          columnNumber: 11
        }, this)]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 948,
        columnNumber: 9
      }, this)
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 937,
      columnNumber: 7
    }, this)]
  }, void 0, true, {
    fileName: _jsxFileName,
    lineNumber: 201,
    columnNumber: 5
  }, this);
}
//# sourceMappingURL=DialogPage.js.map