var _jsxFileName = "/home/runner/work/frontend-shared/frontend-shared/src/pattern-library/components/patterns/layout/OverlayPage.tsx";
import { useState } from 'preact/hooks';
import { Button, Card, CardContent, Spinner } from '../../../../';
import { Overlay } from '../../../../';
import Library from '../../Library';
import { jsxDEV as _jsxDEV } from "preact/jsx-dev-runtime";
export default function OverlayPage() {
  const [defaultOpen, setDefaultOpen] = useState(false);
  const [darkOpen, setDarkOpen] = useState(false);
  const [lightOpen, setLightOpen] = useState(false);
  const toggleDefaultOverlay = () => setDefaultOpen(!defaultOpen);
  const toggleLightOpen = () => setLightOpen(!lightOpen);
  const toggleDarkOpen = () => setDarkOpen(!darkOpen);
  return _jsxDEV(Library.Page, {
    title: "Overlay",
    intro: _jsxDEV("p", {
      children: [_jsxDEV("code", {
        children: "Overlay"
      }, void 0, false, {
        fileName: _jsxFileName,
        lineNumber: 21,
        columnNumber: 11
      }, this), " is a presentational component that styles full-screen backdrops for use during loading or as a modal backdrop."]
    }, void 0, true, {
      fileName: _jsxFileName,
      lineNumber: 20,
      columnNumber: 9
    }, this),
    children: _jsxDEV(Library.Section, {
      title: "Overlay",
      children: [_jsxDEV(Library.SectionL2, {
        children: [_jsxDEV(Library.Usage, {
          componentName: "Overlay"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 28,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          children: _jsxDEV(Library.Demo, {
            title: "Basic Overlay",
            withSource: true,
            children: [_jsxDEV(Button, {
              onClick: toggleDefaultOverlay,
              children: "Show Overlay"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 31,
              columnNumber: 15
            }, this), _jsxDEV(Overlay, {
              open: defaultOpen,
              onClick: toggleDefaultOverlay,
              children: _jsxDEV(Card, {
                width: "auto",
                children: _jsxDEV(CardContent, {
                  children: "Content in Overlay"
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 34,
                  columnNumber: 19
                }, this)
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 33,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 32,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 30,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 29,
          columnNumber: 11
        }, this)]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 27,
        columnNumber: 9
      }, this), _jsxDEV(Library.SectionL2, {
        title: "Component API",
        children: [_jsxDEV("code", {
          children: "Overlay"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 42,
          columnNumber: 11
        }, this), " accepts all standard", ' ', _jsxDEV(Library.Link, {
          href: "/using-components#presentational-components-api",
          children: "presentational component props"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 43,
          columnNumber: 11
        }, this), ".", _jsxDEV(Library.SectionL3, {
          title: "variant",
          children: [_jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: ["Define which theme to use for the ", _jsxDEV("code", {
                children: "Overlay"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 50,
                columnNumber: 51
              }, this), "."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 49,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: `{'dark' | 'light'}`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 53,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 52,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: `'dark'`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 56,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 55,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 48,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "dark",
            withSource: true,
            children: [_jsxDEV(Button, {
              onClick: toggleDarkOpen,
              children: "Show Overlay"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 60,
              columnNumber: 15
            }, this), _jsxDEV(Overlay, {
              open: darkOpen,
              onClick: toggleDarkOpen,
              variant: "dark",
              children: _jsxDEV(Spinner, {
                size: "lg",
                color: "text-inverted"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 62,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 61,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 59,
            columnNumber: 13
          }, this), _jsxDEV(Library.Demo, {
            title: "light",
            withSource: true,
            children: [_jsxDEV(Button, {
              onClick: toggleLightOpen,
              children: "Show Overlay"
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 67,
              columnNumber: 15
            }, this), _jsxDEV(Overlay, {
              open: lightOpen,
              onClick: toggleLightOpen,
              variant: "light",
              children: _jsxDEV(Spinner, {
                size: "lg"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 73,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 68,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 66,
            columnNumber: 13
          }, this)]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 47,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "open",
          children: _jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: "Set whether the overlay is open (visible) or not."
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 79,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: `boolean`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 83,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 82,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "default",
              children: _jsxDEV("code", {
                children: `'true'`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 86,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 85,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 78,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 77,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          title: "...htmlAttributes",
          children: _jsxDEV(Library.Info, {
            children: [_jsxDEV(Library.InfoItem, {
              label: "description",
              children: [_jsxDEV("code", {
                children: "Overlay"
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 93,
                columnNumber: 17
              }, this), " accepts HTML attributes."]
            }, void 0, true, {
              fileName: _jsxFileName,
              lineNumber: 92,
              columnNumber: 15
            }, this), _jsxDEV(Library.InfoItem, {
              label: "type",
              children: _jsxDEV("code", {
                children: `JSX.HTMLAttributes<HTMLElement>`
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 96,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 95,
              columnNumber: 15
            }, this)]
          }, void 0, true, {
            fileName: _jsxFileName,
            lineNumber: 91,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 90,
          columnNumber: 11
        }, this)]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 41,
        columnNumber: 9
      }, this)]
    }, void 0, true, {
      fileName: _jsxFileName,
      lineNumber: 26,
      columnNumber: 7
    }, this)
  }, void 0, false, {
    fileName: _jsxFileName,
    lineNumber: 17,
    columnNumber: 5
  }, this);
}
//# sourceMappingURL=OverlayPage.js.map