var _jsxFileName = "/home/runner/work/frontend-shared/frontend-shared/src/pattern-library/components/patterns/transition/SliderPage.tsx";
import { useState } from 'preact/hooks';
import { Button, Card, CardContent, Slider } from '../../../../';
import Library from '../../Library';
import { jsxDEV as _jsxDEV, Fragment as _Fragment } from "preact/jsx-dev-runtime";
const Slider_ = ({
  children,
  direction,
  onTransitionEnd,
  _transitionStatus
}) => {
  const [currentDirection, setCurrentDirection] = useState(direction);
  const toggleSlider = () => setCurrentDirection(prev => prev === 'in' ? 'out' : 'in');
  return _jsxDEV("div", {
    className: "flex-col w-full space-y-2",
    children: [_jsxDEV(Button, {
      onClick: toggleSlider,
      variant: "primary",
      children: [currentDirection === 'in' ? 'Hide' : 'Show', " slider"]
    }, void 0, true, {
      fileName: _jsxFileName,
      lineNumber: 24,
      columnNumber: 7
    }, this), _jsxDEV(Slider, {
      direction: currentDirection,
      onTransitionEnd: onTransitionEnd,
      children: children
    }, void 0, false, {
      fileName: _jsxFileName,
      lineNumber: 27,
      columnNumber: 7
    }, this), _jsxDEV("div", {
      children: [_transitionStatus === 'in' && _jsxDEV("p", {
        children: ["The ", _jsxDEV("code", {
          children: "Slider"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 33,
          columnNumber: 17
        }, this), " just opened."]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 32,
        columnNumber: 11
      }, this), _transitionStatus === 'out' && _jsxDEV("p", {
        children: ["The ", _jsxDEV("code", {
          children: "Slider"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 38,
          columnNumber: 17
        }, this), " just closed."]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 37,
        columnNumber: 11
      }, this)]
    }, void 0, true, {
      fileName: _jsxFileName,
      lineNumber: 30,
      columnNumber: 7
    }, this)]
  }, void 0, true, {
    fileName: _jsxFileName,
    lineNumber: 23,
    columnNumber: 5
  }, this);
};
export default function SliderPage() {
  return _jsxDEV(Library.Page, {
    title: "Slider",
    intro: _jsxDEV(_Fragment, {
      children: _jsxDEV("p", {
        children: [_jsxDEV("code", {
          children: "Slider"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 53,
          columnNumber: 13
        }, this), " is a transition component with a slide-down/slide-up transition on open/close."]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 52,
        columnNumber: 11
      }, this)
    }, void 0, false),
    children: _jsxDEV(Library.Section, {
      children: [_jsxDEV(Library.SectionL2, {
        children: [_jsxDEV(Library.Usage, {
          componentName: "Slider"
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 61,
          columnNumber: 11
        }, this), _jsxDEV(Library.SectionL3, {
          children: _jsxDEV(Library.Demo, {
            title: "Basic Slider",
            withSource: true,
            children: _jsxDEV(Slider_, {
              direction: "out",
              children: _jsxDEV(Card, {
                children: _jsxDEV(CardContent, {
                  children: "This is the content of the Slider"
                }, void 0, false, {
                  fileName: _jsxFileName,
                  lineNumber: 66,
                  columnNumber: 19
                }, this)
              }, void 0, false, {
                fileName: _jsxFileName,
                lineNumber: 65,
                columnNumber: 17
              }, this)
            }, void 0, false, {
              fileName: _jsxFileName,
              lineNumber: 64,
              columnNumber: 15
            }, this)
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 63,
            columnNumber: 13
          }, this)
        }, void 0, false, {
          fileName: _jsxFileName,
          lineNumber: 62,
          columnNumber: 11
        }, this)]
      }, void 0, true, {
        fileName: _jsxFileName,
        lineNumber: 60,
        columnNumber: 9
      }, this), _jsxDEV(Library.SectionL2, {
        title: "Component API",
        children: _jsxDEV("p", {
          children: [_jsxDEV("code", {
            children: "Button"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 75,
            columnNumber: 13
          }, this), " accepts", ' ', _jsxDEV(Library.Link, {
            href: "/using-components#transition-components-api",
            children: "transition component props"
          }, void 0, false, {
            fileName: _jsxFileName,
            lineNumber: 76,
            columnNumber: 13
          }, this), "."]
        }, void 0, true, {
          fileName: _jsxFileName,
          lineNumber: 74,
          columnNumber: 11
        }, this)
      }, void 0, false, {
        fileName: _jsxFileName,
        lineNumber: 73,
        columnNumber: 9
      }, this)]
    }, void 0, true, {
      fileName: _jsxFileName,
      lineNumber: 59,
      columnNumber: 7
    }, this)
  }, void 0, false, {
    fileName: _jsxFileName,
    lineNumber: 48,
    columnNumber: 5
  }, this);
}
//# sourceMappingURL=SliderPage.js.map